[arch-commits] Commit in gnome-session/repos (4 files)
Allan McRae
allan at archlinux.org
Tue Oct 21 13:44:32 UTC 2008
Date: Tuesday, October 21, 2008 @ 09:44:31
Author: allan
Revision: 16562
Merged revisions 16053,16486 via svnmerge from
svn+ssh://archlinux.org/home/svn-packages/gnome-session/trunk
........
r16053 | jgc | 2008-10-20 20:36:56 +1000 (Mon, 20 Oct 2008) | 3 lines
upgpkg: gnome-session 2.24.0-2
Add wrapper script to make sure dbus is launched
Add patch to fix build with recent versions of glib2
........
r16486 | allan | 2008-10-21 23:32:51 +1000 (Tue, 21 Oct 2008) | 1 line
upgpkg: gnome-session 2.24.0-2
........
Added:
gnome-session/repos/extra-i686/bgo554202.patch
(from rev 16486, gnome-session/trunk/bgo554202.patch)
gnome-session/repos/extra-i686/gnome-session.sh
(from rev 16486, gnome-session/trunk/gnome-session.sh)
Modified:
gnome-session/repos/extra-i686/ (properties)
gnome-session/repos/extra-i686/PKGBUILD
------------------+
PKGBUILD | 20 +++++++++++++-------
bgo554202.patch | 38 ++++++++++++++++++++++++++++++++++++++
gnome-session.sh | 3 +++
3 files changed, 54 insertions(+), 7 deletions(-)
Property changes on: gnome-session/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
- /gnome-session/trunk:1-15002
+ /gnome-session/trunk:1-16547
Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD 2008-10-21 13:44:21 UTC (rev 16561)
+++ extra-i686/PKGBUILD 2008-10-21 13:44:31 UTC (rev 16562)
@@ -3,24 +3,27 @@
pkgname=gnome-session
pkgver=2.24.0
-pkgrel=1
+pkgrel=2
pkgdesc="The GNOME Session Handler"
arch=(i686 x86_64)
license=('GPL' 'LGPL')
-depends=('libgnomeui>=2.24.0' 'policykit-gnome>=0.9.2' 'gnome-settings-daemon>=2.24.0' 'at-spi>=1.24.0' 'startup-notification>=0.9')
-makedepends=('perlxml' 'pkgconfig')
+depends=('libgnomeui>=2.24.0' 'policykit-gnome>=0.9.2' 'gnome-settings-daemon>=2.24.0' 'at-spi>=1.24.0' 'startup-notification>=0.9' 'dbus>=1.2.3-3')
+makedepends=('perlxml' 'pkgconfig' 'intltool')
options=(!emptydirs)
install=gnome-session.install
url="http://www.gnome.org"
groups=('gnome')
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('2f586c2829430937fb2d18b4b8478bad')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2
+ gnome-session.sh
+ bgo554202.patch)
+md5sums=('2f586c2829430937fb2d18b4b8478bad'
+ '7c6aa6eef09e4f7ece9aaad45c08add0'
+ '65e7781b8bb69c795ef8cf70a61ce3cc')
build() {
cd "${srcdir}/${pkgname}-${pkgver}"
+ patch -Np1 -i "${srcdir}/bgo554202.patch" || return 1
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
- --with-reboot-command=reboot --with-halt-command=halt \
- --with-rsh-command=ssh \
--with-at-spi-registryd-directory=/usr/lib/at-spi || return 1
make || return 1
make DESTDIR="${pkgdir}" GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 install || return 1
@@ -28,4 +31,7 @@
install -d -m755 "${pkgdir}/usr/share/gconf/schemas"
gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
+
+ mv "${pkgdir}/usr/bin/gnome-session" "${pkgdir}/usr/lib/gnome-session/" || return 1
+ install -m755 "${srcdir}/gnome-session.sh" "${pkgdir}/usr/bin/gnome-session" || return 1
}
Copied: gnome-session/repos/extra-i686/bgo554202.patch (from rev 16486, gnome-session/trunk/bgo554202.patch)
===================================================================
--- extra-i686/bgo554202.patch (rev 0)
+++ extra-i686/bgo554202.patch 2008-10-21 13:44:31 UTC (rev 16562)
@@ -0,0 +1,38 @@
+--- trunk/tools/gnome-session-save.c 2008/09/01 16:49:20 5029
++++ trunk/tools/gnome-session-save.c 2008/09/29 15:16:06 5128
+@@ -45,7 +45,7 @@
+
+ /* True if killing. This is deprecated, but we keep it for compatibility
+ * reasons. */
+-static gboolean kill = FALSE;
++static gboolean kill_session = FALSE;
+
+ /* The real options that should be used now. They are not ambiguous. */
+ static gboolean logout = FALSE;
+@@ -67,7 +67,7 @@
+ {"force-logout", '\0', 0, G_OPTION_ARG_NONE, &force_logout, N_("Log out, ignoring any existing inhibitors"), NULL},
+ {"logout-dialog", '\0', 0, G_OPTION_ARG_NONE, &logout_dialog, N_("Show logout dialog"), NULL},
+ {"shutdown-dialog", '\0', 0, G_OPTION_ARG_NONE, &shutdown_dialog, N_("Show shutdown dialog"), NULL},
+- {"kill", '\0', 0, G_OPTION_ARG_NONE, &kill, N_("Kill session"), NULL},
++ {"kill", '\0', 0, G_OPTION_ARG_NONE, &kill_session, N_("Kill session"), NULL},
+ {"gui", '\0', 0, G_OPTION_ARG_NONE, &show_error_dialogs, N_("Use dialog boxes for errors"), NULL},
+ {"silent", '\0', 0, G_OPTION_ARG_NONE, &no_interaction, N_("Do not require confirmation"), NULL},
+ {NULL}
+@@ -259,7 +259,7 @@
+ }
+
+ conflicting_options = 0;
+- if (kill)
++ if (kill_session)
+ conflicting_options++;
+ if (logout)
+ conflicting_options++;
+@@ -272,7 +272,7 @@
+ if (conflicting_options > 1)
+ display_error (_("Program called with conflicting options"));
+
+- if (kill) {
++ if (kill_session) {
+ if (no_interaction)
+ logout = TRUE;
+ else
Copied: gnome-session/repos/extra-i686/gnome-session.sh (from rev 16486, gnome-session/trunk/gnome-session.sh)
===================================================================
--- extra-i686/gnome-session.sh (rev 0)
+++ extra-i686/gnome-session.sh 2008-10-21 13:44:31 UTC (rev 16562)
@@ -0,0 +1,3 @@
+#!/bin/sh
+. /etc/X11/xinit/xinitrc.d/30-dbus
+exec /usr/lib/gnome-session/gnome-session
More information about the arch-commits
mailing list